Bug 584315 - Lower UI performance in 2.3 compared to 2.1
Lower UI performance in 2.3 compared to 2.1
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Usability (Show other bugs)
unspecified
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2010-04-21 07:25 EDT by Jaroslaw Kijanowski
Modified: 2010-12-16 08:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-16 08:25:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
YSlow reports (1.16 MB, application/zip)
2010-04-21 07:26 EDT, Jaroslaw Kijanowski
no flags Details

  None (edit)
Description Jaroslaw Kijanowski 2010-04-21 07:25:56 EDT
Description of problem:
I have used YSlow and attached the results for 3 different pages.
I know, 2.3 has a much richer interface, looks great, etc, but from my point of view (and location, central Europe, while server is in the US) the UI is behaving much slower in 2.3.
From a quick look, the cache usage looks better in 2.1; also in 2.1 there are less http requests... hope these reports help in some way.

Version-Release number of selected component (if applicable):
used JON 2.3.1 and 2.1.0 and the corresponding agents

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
see attachment

Expected results:


Additional info:
Comment 1 Jaroslaw Kijanowski 2010-04-21 07:26:55 EDT
Created attachment 408045 [details]
YSlow reports
Comment 2 Charles Crouch 2010-04-23 12:06:26 EDT
So rendering time increases appears to be from around 0.5 seconds to 1.5seconds, so while they are not good, they are not horrific either. When we go back and look at the usability/speed of the UI in a future release we can you use the 2.1 figures as a potential baseline for what we're aiming for.
Comment 4 Corey Welton 2010-12-16 08:25:36 EST
Closing per triage

Note You need to log in before you can comment on or make changes to this bug.